petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscViewerSetFromOptions

Sets the graphics type from the options database. Defaults to a PETSc X windows graphics.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerSetFromOptions(PetscViewer viewer)

Collective on PetscViewer

### Input Parameter

PetscViewer -the graphics context

### Notes

Must be called after PetscViewerCreate() before the PetscViewer is used.

### See Also

PetscViewerCreate(), PetscViewerSetType(), PetscViewerType

### Level

intermediate

### Location

src/sys/classes/viewer/interface/viewreg.c

### Examples

src/dm/examples/tutorials/ex9.c.html
src/dm/examples/tutorials/ex10.c.html
src/snes/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex48.c.html

### Implementations

PetscViewerSetFromOptions_ADIOS in src/sys/classes/viewer/impls/adios/adios.c
PetscViewerSetFromOptions_ADIOS2 in src/sys/classes/viewer/impls/adios2/adios2.c
PetscViewerSetFromOptions_Binary in src/sys/classes/viewer/impls/binary/binv.c
PetscViewerSetFromOptions_Draw in src/sys/classes/viewer/impls/draw/drawv.c
PetscViewerSetFromOptions_GLVis in src/sys/classes/viewer/impls/glvis/glvis.c
PetscViewerSetFromOptions_HDF5 in src/sys/classes/viewer/impls/hdf5/hdf5v.c
PetscViewerSetFromOptions_Socket in src/sys/classes/viewer/impls/socket/send.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages